package com.ematou.wxbase.controller;

import com.ematou.wxbase.common.web.R;
import com.ematou.wxbase.service.TokenRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author lhm
 * @version 1.0
 * 2021-04-30 17:52
 */
@RestController
public class TokenRecordController {

    @Autowired
    TokenRecordService tokenRecordService;

    @GetMapping("/wxbase/token")
    public R<?> get() {
        try {
            return new R<>().success(tokenRecordService.getLatestToken(null));
        } catch (Exception e) {
            return new R<>().error("获取AccessToken失败！errorMessage: " + e.getMessage());
        }
    }

    @GetMapping("/wxbase/token/{system}")
    public R<?> get(@PathVariable String system) {
        try {
            return new R<>().success(tokenRecordService.getLatestToken(system));
        } catch (Exception e) {
            return new R<>().error("获取AccessToken失败！errorMessage: " + e.getMessage());
        }
    }

    @GetMapping("/wxbase/generate/token")
    public R<?> generateToken(){

        try {
            return new R<>().success(tokenRecordService.generateToken());
        } catch (Exception e) {
            return new R<>().error("生成AccessToken失败！errorMessage：" + e.getMessage());
        }

    }
    @GetMapping("/wxbase/generate/token/{system}")
    public R<?> generateToken(@PathVariable String system){

        try {
            return new R<>().success(tokenRecordService.generateToken(system));
        } catch (Exception e) {
            return new R<>().error("生成AccessToken失败！errorMessage：" + e.getMessage());
        }

    }

}
